* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: rgba(8, 2, 13, 1);
    color: rgba(223, 215, 228, 1);
    padding: 0 2rem;
    max-width: 1440px;
    font-family: "Source Serif 4", serif;
    margin: 0 auto;
}



nav {
    width: 80%;
    padding: 1.2rem;
    background-color: rgba(208, 143, 255, 0.2);
    box-shadow: 0px 0.25rem 1.5rem rgba(0, 0, 0, 0.16);
    border-radius: 1em;
    margin: 1.5rem auto;
}
.nav-bar a{
    font-family: "Outfit", serif;
    text-decoration: none;
    transform: scale(1.1);
    color: rgba(223, 215, 228, 1);
    border-bottom: 2px solid transparent;
}
.nav-link a:first-child{
    color: rgb(162, 120, 188);
}
.nav-bar a:hover{
    border-bottom: 2px solid rgb(150, 79, 195);
}
.nav-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}
.nav-logo{
    position: relative;
    top:-0.2rem;
    right: 4em;
    scale: 1.4;
}
.nav-link {
    display: flex;
    gap: 2rem;
}

.nav-fix {
    display: flex;
    gap: 2rem;
    align-items: center;
}

.nav-logo p {
    font-size: 2rem;
}



/* Main section */
main {
    width: 100%;
    margin: 2rem auto;
}

.main-hero {
    width: 100%;
    padding: 4rem 0;
    display: flex;
    flex-direction: column;
    gap: 3.25rem;
}

.main-hero p{
    font-family: "Domine", serif;
    font-size: 7rem;
    font-weight: 700;
    line-height: 1.1;
    text-align: center;
    animation: swipe 1.5s ease-in-out 1;
}
@keyframes swipe{
    0%{
        transform: translate(-400px);
        color: rgba(223, 215, 228, 0.1);
    }
    100%{
        transform: translate(0px);
    }
}
.hero img{
    width: 100%;
    height: auto;
    border-radius: 1.75rem;
}

.main-page {
    width: 100%;
    padding: 3.25rem 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3.25rem;
}

.page {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
    margin: 0.8rem;
}

.page img {
    width: 100%;
    border-radius: 1rem;
    box-shadow: 5px 5px 5px 2px rgba(182, 124, 224, 0.2);
    transition: all 1s ease;
}
.page img:hover{
    transform: scale(1.065);
}

.page div p {
    font-weight: 400;
    line-height: 1.5rem;
    font-size: 1.4rem;
    text-decoration: underline rgba(155, 14, 255, 0.368);
    transition: all 0.7s ease;

}
.page div p:hover{
    transform: translate(20px);
    color: rgb(204, 132, 255);
}
.diff-color {
    font-size: 1rem;
    color: rgba(224, 209, 235, 0.62);
}

/* Footer section */
.hero-footer {
    width: 100%;
    height: 40em;
    background-image: url('Images/hero-footer.png');
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3.25rem;
    padding: 2rem;
}
.hero-footer .main-logo{
    width: 30%;
    display: flex;
    justify-content: space-between;
    gap: 0.7rem;
}


.hero-footer i{
    font-size: 3rem;
    font-weight: bold;
    transition: all 1s ease-in-out;
}
.hero-footer i:hover{
    scale: 1.5;
    cursor: pointer;
}
.facebook{
    color: rgb(1, 101, 225);
}
.instagram{
    color: #bc2a8d;
}
.x{
    color: black;
}


.hero-footer p{
    font-size: 3.1rem;
    color: rgb(234, 230, 237);
    font-weight: bolder;
    border-radius: 10px;
    text-decoration: underline rgb(157, 25, 164);

}

.hero-footer form {
    width: 100%;
    max-width: 37.5rem;
    display: flex;
    gap: 0.75rem;
}

.main-email {
    width: 100%;
    box-shadow: 5px 5px 10px  rgb(209, 194, 196);
    border-radius: 1rem;
    padding: 0.625rem 1.25rem;
    border: none;
}

.main-button{
    padding: 0.875rem 2rem;
    border-radius: 1rem;
    background-color: rgba(75, 0, 130, 1);
    color: rgba(253, 250, 255, 1);
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    box-shadow: 5px 5px 10px  rgb(104, 21, 163);
    transition: all 1s ease-in-out;
}


.main-button:hover {
    background-color: rgba(95, 20, 150, 1);
    scale: 1.1;
    box-sizing: content-box;
}


.footer-main{
    width: 100%;
    display: flex;
    justify-content: space-between;
    font-size: 2rem;
    margin-top: 4rem;
    align-items: center;
}
.footer-main p{
    color: rgba(224, 209, 235, 0.62);

}
.footer-main p span{
    color: rgba(154, 103, 191, 0.773);
}
.footer-button{
    width: 7rem;
    border: 1px solid rgba(166, 145, 182, 0.2);
    padding: 1rem;
    background-color: transparent;
    color: rgba(223, 215, 228, 1);
    border-radius: 1rem;
    transition: all 1s ease-in-out;
}
.footer-button:hover{
    scale: 1.15;
    color: black;
    background-color: rgb(169, 143, 185);
}

@media (max-width: 968px) {
    .main-page {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    body {
        padding: 0 1rem;
    }

    .nav-bar {
        flex-direction: column;
        text-align: center;
    }

    .nav-logo{
        position: relative;
        left: 0.5rem;
    }

    .nav-fix {
        flex-direction: column;
        gap: 1rem;
    }

    .main-page {
        grid-template-columns: 1fr;
    }

    .hero-footer form {
        flex-direction: column;
    }

    .main-button {
        width: 100%;
    }
}